unit uTestSkyMap;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, AbNumEdit;

type
  TfrmTstSkyMap = class(TForm)
    timerRefresh: TTimer;
    btnOpenSkyMap: TButton;
    btnOpenAntennaParameters: TButton;
    Panel1: TPanel;
    nsStarRa: TAbNumSpin;
    nsStarDEC: TAbNumSpin;
    Panel2: TPanel;
    nsAntDEC: TAbNumSpin;
    nsAntRa: TAbNumSpin;
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    procedure timerRefreshTimer(Sender: TObject);
    procedure FormActivate(Sender: TObject);
    procedure btnOpenSkyMapClick(Sender: TObject);
    procedure btnOpenAntennaParametersClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmTstSkyMap: TfrmTstSkyMap;

implementation

{$R *.dfm}

uses uSkyMap, uMount;

procedure TfrmTstSkyMap.btnOpenAntennaParametersClick(Sender: TObject);
begin
   frmMount.Visible := True;
end;

procedure TfrmTstSkyMap.btnOpenSkyMapClick(Sender: TObject);
begin
  // frmSkyMap.Left := 1690;
  // frmSkyMap.Left := 1160;
  // frmAntennaParameters.Left := 1160;
  frmSkyMap.Visible := True;
  timerRefresh.Enabled := True;
end;

procedure TfrmTstSkyMap.FormActivate(Sender: TObject);
begin
  // btnInitClick(self);
end;

procedure TfrmTstSkyMap.timerRefreshTimer(Sender: TObject);
begin
  timerRefresh.Enabled := False;
  frmSkyMap.DrawSearchArea;

  with frmSkyMap do
  begin
    DrawSearchArea;

    StarDEC := nsStarDEC.Value;
    StarRA := nsStarRa.Value;



  end;
  timerRefresh.Enabled := True;
end;

end.
